TaskTracker.MapOutputServlet (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class TaskTracker.MapOutputServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.hadoop.mapred.TaskTracker.MapOutputServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  TaskTracker

    public static class TaskTracker.MapOutputServlet

extends javax.servlet.http.HttpServlet

This class is used in TaskTracker's Jetty to serve the map outputs to other nodes.

See Also:
  Serialized Form

Constructor Summary
`TaskTracker.MapOutputServlet()`

Method Summary
`protected void` | `checkException(IOException ie, String exceptionMsgRegex, String exceptionStackRegex, org.apache.hadoop.mapred.TaskTracker.ShuffleServerMetrics shuffleMetrics)`
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskTracker.MapOutputServlet

    public TaskTracker.MapOutputServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### checkException

    protected void checkException(IOException ie,
                                  String exceptionMsgRegex,
                                  String exceptionStackRegex,
                                  org.apache.hadoop.mapred.TaskTracker.ShuffleServerMetrics shuffleMetrics)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation